Bug 550166 - RFE: SSO via kerberos for webUI
RFE: SSO via kerberos for webUI
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
0.8
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
: FutureFeature
Depends On:
Blocks: spacewalk-rfe
  Show dependency treegraph
 
Reported: 2009-12-23 16:04 EST by Erinn Looney-Triggs
Modified: 2014-04-26 08:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-26 08:08:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Erinn Looney-Triggs 2009-12-23 16:04:33 EST
I would like to have the ability to do kerberos authentication via the webUI, bot just entering the kerberos password but actual SSO authentication via the webUI wherein a user with a ticket is automagically logged into satellite with the appropriate credentials. 

Kerberos is becoming a larger and large part of many organizations infrastructure (whether they realize it or not, Active Directory) and being able to use this to enable single sign on to satellite would be a great asset. Even ith your own IPA server this would be a useful feature.
Comment 1 Jan Pazdziora 2010-11-19 11:05:33 EST
Mass-moving to space13.
Comment 2 Miroslav Suchý 2011-04-11 03:34:09 EDT
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.
Comment 3 Miroslav Suchý 2011-04-11 03:37:26 EDT
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.
Comment 4 Jan Pazdziora 2011-07-20 07:52:45 EDT
Aligning under space16.
Comment 5 Jan Pazdziora 2014-04-26 08:08:03 EDT
This feature is now available in Spacewalk 2.1: https://fedorahosted.org/spacewalk/wiki/SpacewalkAndIPA

Note You need to log in before you can comment on or make changes to this bug.